package com.ruoyi.manage.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 盘点记录对象 record_store_check
 * 
 * @author wangh
 * @date 2024-01-19
 */
public class RecordStoreCheck extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long checkId;

    /** 盘点时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "盘点时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date checkTime;

    /** 盘点人 */
    @Excel(name = "盘点人")
    private String checkUser;

    /** 盘点条数 */
    @Excel(name = "盘点条数")
    private int checkNumber;

    /** 盘点说明 */
    @Excel(name = "盘点说明")
    private String checkRemack;

    public void setCheckId(Long checkId) 
    {
        this.checkId = checkId;
    }

    public Long getCheckId() 
    {
        return checkId;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setCheckUser(String checkUser) 
    {
        this.checkUser = checkUser;
    }

    public String getCheckUser() 
    {
        return checkUser;
    }
    public void setCheckNumber(int checkNumber)
    {
        this.checkNumber = checkNumber;
    }

    public int getCheckNumber()
    {
        return checkNumber;
    }
    public void setCheckRemack(String checkRemack) 
    {
        this.checkRemack = checkRemack;
    }

    public String getCheckRemack() 
    {
        return checkRemack;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkId", getCheckId())
            .append("checkTime", getCheckTime())
            .append("checkUser", getCheckUser())
            .append("checkNumber", getCheckNumber())
            .append("checkRemack", getCheckRemack())
            .toString();
    }
}
